Package: groovy.transform.stc

## [Java] Class FirstParam

- groovy.transform.stc.FirstParam

-     public class FirstParam
      extends PickAnyArgumentHint

  A hint used to instruct the type checker to pick the first parameter type. For example:

  `public <T> def doWith(T src, @ClosureParams(FirstParam.class) Closure c) { c.call(src); }`

  This class has several inner classes that also helps picking generic argument types instead of the parameter type.

  Since:
    2.3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `FirstParam.Component` |
    `static class` | `FirstParam.FirstGenericType` |
    `static class` | `FirstParam.SecondGenericType` |
    `static class` | `FirstParam.ThirdGenericType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FirstParam()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`

- - ### Constructor Detail

    - #### public FirstParam()